CK_ARRAY_BUFFER(3)

NAME
ck_array_buffer - return length and pointer to array of reader-visible pointers

LIBRARY
Concurrency Kit (libck, -lck)

SYNOPSIS
#include <ck_array.h>
void *
ck_array_buffer(ck_array_t *array, unsigned int *length);

DESCRIPTION
The ck_array_buffer(3) returns a pointer to the array of pointers currently visible to readers after the last commit operation in array. The unsigned integer pointed to by length is updated to reflect the length of the array.

RETURN VALUES
This function returns a pointer to an array of pointers.

SEE ALSO
ck_array_commit(3), ck_array_put(3), ck_array_put_unique(3), ck_array_remove(3), ck_array_init(3) ck_array_deinit(3), ck_array_length(3), ck_array_initialized(3), CK_ARRAY_FOREACH(3)

Additional information available at http://concurrencykit.org/